# Welcome to SSDPy’s documentation!

SSDPy is a lightweight implementation of SSDP in Python. It provides a Python library and a couple of CLI tools to interact with SSDP. It supports both the IETF and UPnP versions of the protocol.

- Installation
  - Python Version
  - Dependencies
  - Install SSDPy
- Quickstart
  - Run SSDP discovery from shell
  - Run SSDP Server from shell
  - SSDP Discovery from Python
  - SSDP Server from Python
- Command Line Interface
  - SSDP Discovery
- API
  - Classes
  - Functions
  - Helpers

# Indices and tables

- Index

- Module Index

- Search Page